#!/bin/sh
#
# Copyright (c) 2013 Netgear, Inc.
# All rights reserved
#
# DM port over TCP (DMoTCP)
#
#

TCPPORT=5511

while [ 1 ]; do
 # TCP server bind config
 # bind to gw address - internal address, so we are unreachable WWAN interface.
 IPADDR=`dx router.GwIpAddr`
 
 echo "DM port over TCP available at port ${TCPPORT}, Interface: LAN" > /dev/kmsg
 
 START=`date +%s`
 diag_socket_log -l -a ${IPADDR} -p ${TCPPORT}
 END=`date +%s`
 
 # If start and end are within the same second, delay restart to avoid
 # hogging CPU for restarts.
 if [ ${START} -eq ${END} ] ; 
 then 
   echo "Fast DM port server restart" >/dev/kmsg
   sleep 5;
 fi
done

